org.eclipse.emf.facet.custom.ui

## Interface ICustomizedLabelProviderFactory

    public interface ICustomizedLabelProviderFactory

This class is the factory allowing to get a instance of `ICustomizedLabelProvider`.

Author:
  Gregoire Dupe
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static ICustomizedLabelProviderFactory` `DEFAULT`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICustomizedLabelProvider` `createCustomizedLabelProvider(ICustomizationManager customizationMgr)` This method is used to instantiate a `ICustomizedLabelProvider`.

### Field Detail

#### DEFAULT

    static final ICustomizedLabelProviderFactory DEFAULT

### Method Detail

#### createCustomizedLabelProvider

    ICustomizedLabelProvider createCustomizedLabelProvider(ICustomizationManager customizationMgr)

This method is used to instantiate a `ICustomizedLabelProvider`.

Parameters:
  `customizationManager` - the customization manager which has to used by the content provider.
Returns:
  a label provider